
Redmine - Defect #29913

Adding image with same name as previous one replaces embedded image

2018-11-05 17:05 - Benedikt Breinbauer

Status: Closed Start date: 2010-01-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.4.5

Description

Copied from #4618 which is closed but still appeared on Redmine version 3.4.5

Steps taken that produce this behavior,

1. An issue has an attachment made to it (usually in my case, a screenshot)

2. Another attachment is made, with the same filename as the one from above.

At this point, the new image replaces the other one, and references to it now point to the new one. What I'd want to see is that

the new attachment gets renamed so that it doesn't displace the old one.

 Very problematic for issue comments with embedded screenshots: the newer screenshot automatically replaces the old one so

makes the old comment confusing/useless without the old original screenshot that the comment was intended for, essentially

changing the comment history.

Extra information:

Redmine version                3.4.5.stable

Ruby version                   2.3.7-p456 (2018-03-28) [x86_64-linux]

Rails version                  4.2.8

Environment                    production

Database adapter               Mysql2

Related issues:

Copied from Redmine - Defect #4618: Adding an Attachment to an Issue of the S... Closed 2010-01-20

History

#1 - 2018-11-05 17:05 - Benedikt Breinbauer

- Copied from Defect #4618: Adding an Attachment to an Issue of the Same Name as Another Attachment Overwrites added

#2 - 2018-11-05 17:09 - Go MAEDA

Please see #4618#note-2. Jean-Philippe Lang wrote that the behavior is by design, not a defect.

Indeed, this behaviour was introduced in r1939.

This is especially usefull in wiki pages when you want to update a screenshoot without having to edit the page.

#3 - 2018-11-06 00:29 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

#4 - 2018-11-09 17:48 - Benedikt Breinbauer

Please see the repsonse to this behaviour by design #4618#note-3 which reopened the ticket:

I understand the benefit of being able to update screenshots without having to update the page. But I think the disadvantage of not being able to

simply attach a file to an update and reference it without having to worry about unique file names weighs more heavily. Especially considering

the difficulties novice users are typically having.
https://www.redmine.org/issues/4618
https://www.redmine.org/issues/4618#note-2
https://www.redmine.org/projects/redmine/repository/svn/revisions/1939
https://www.redmine.org/issues/4618#note-3


 Which is exactly what trips up our users… they are changing comment history by uploading a new image…

#5 - 2018-11-16 17:04 - Benedikt Breinbauer

- Status changed from Closed to Reopened

#6 - 2019-11-10 04:52 - Go MAEDA

- Status changed from Reopened to Closed

Closing as a duplicate of #4618.
